<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LifeDiscountCouponMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LifeDiscountCoupon">
        <id column="id" property="id" />
        <result column="store_id" property="storeId" />
        <result column="name" property="name" />
        <result column="nominal_value" property="nominalValue" />
        <result column="expiration_date" property="expirationDate" />
        <result column="start_date" property="startDate" />
        <result column="end_date" property="endDate" />
        <result column="single_qty" property="singleQty" />
        <result column="supplementary_instruction" property="supplementaryInstruction" />
        <result column="status" property="status" />
        <result column="image_path" property="imagePath" />
        <result column="get_status" property="getStatus" />
        <result column="restricted_quantity" property="restrictedQuantity" />
        <result column="minimum_spending_amount" property="minimumSpendingAmount" />
        <result column="type" property="type" />
        <result column="approval_comments" property="approvalComments" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, store_id, name, nominal_value, expiration_date, start_date, end_date, single_qty, supplementary_instruction, status, image_path, get_status, restricted_quantity, minimum_spending_amount, type, approval_comments, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>

</mapper>
